<ion-header>
  <ion-toolbar class="pay_toolbar">
    <img src="../assets/images/type.png" class="pay_header"/> 
    <ion-icon (click)="closeModal()" class="pay_close_icon" name="close-circle-outline"></ion-icon>
  </ion-toolbar>
</ion-header>

<ion-content>
    <ion-grid fixed>
      <ion-row>
        <ion-col size="6">
          <label class="pay_label">Payment Channel</label>
        </ion-col>
        <ion-col size="6">
          <ion-select [hidden]="this.mode == 'view'" style="text-align: right;" [(ngModel)]="payment.channel" class="form-control ms-form pay_amount" placeholder="select channel" okText="Okay" cancelText="Dismiss">
            <ion-select-option value="bank">Bank</ion-select-option>
            <ion-select-option value="pera_padala">Pera Padala</ion-select-option>
            <ion-select-option value="paymaya">PayMaya</ion-select-option>
            <ion-select-option value="dragonpay">DragonPay</ion-select-option>
          </ion-select>
          <span [hidden]="this.mode != 'view'" class="pay_view" > {{payment.channel}} </span>
        </ion-col>
      </ion-row>

      <!-- <ion-row>
        <ion-col size="6">
          <label class="pay_label">Channel Name :</label>
        </ion-col>
        <ion-col size="6">
          <input type="text" [(ngModel)]="payment.pay_channel_name" class="form-control ms-form pay_amount" placeholder="enter name" required />
        </ion-col>
      </ion-row> -->

      <ion-row>
        <ion-col size="6">
          <label class="pay_label">Amount :</label>
        </ion-col>
        <ion-col size="6">
          <input currencyMask [hidden]="this.mode == 'view'" [(ngModel)]="payment.paidAmount" [options]="currOpt" class="form-control ms-form pay_amount" required />
          <span [hidden]="this.mode != 'view'" class="pay_view" > {{payment.paidAmount}} </span>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col size="6">
          <label class="pay_label">Reference No :</label>
        </ion-col>
        <ion-col size="6">
          <input type="text" [hidden]="this.mode == 'view'" [(ngModel)]="payment.referenceCode" class="form-control ms-form pay_amount" placeholder="enter reference"  required />
          <span [hidden]="this.mode != 'view'" class="pay_view" > {{payment.referenceCode}} </span>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col size="6">
          <label>Receipt Date :</label>            
        </ion-col>
        <ion-col size="6">
          <ion-datetime [hidden]="this.mode == 'view'" [(ngModel)]="payment.paymentDate" class="date-time-picker" placeholder="select date" style="text-align:right" displayFormat="MMM DD, YYYY" min="2020-01-01" max="2030-12-31" ></ion-datetime>
          <span [hidden]="this.mode != 'view'" class="pay_view" > {{payment.paymentDate | date}} </span>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col size="6">
          <label [hidden]="this.mode == 'view'" class="pay_label">Add Receipt</label>
          <label [hidden]="this.mode != 'view'" class="pay_label">Receipt</label>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size="12" class="pay_receipt">
          <img [src]="payment.receiptUrl ? payment.receiptUrl : '../assets/images/add_receipt.png'" class="pay_receipt_img"/> 
        </ion-col>
      </ion-row>
    </ion-grid>
</ion-content>

<ion-footer>
  <ion-toolbar>
    <ion-button [hidden]="this.mode == 'view'"  (click)="addPayment()" color="secondary" expand="block" >
      queue payment for upload
    </ion-button>
  </ion-toolbar>
</ion-footer>